net.corda.core.serialization

## Class CordaKryo

- net.corda.core.serialization.CordaKryo

-     public class CordaKryo

  We need to disable whitelist checking during calls from our Kryo code to register a serializer, since it checks for existing registrations and then will enter our CordaClassResolver.getRegistration method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CordaKryo(com.esotericsoftware.kryo.ClassResolver classResolver)` We need to disable whitelist checking during calls from our Kryo code to register a serializer, since it checks for existing registrations and then will enter our CordaClassResolver.getRegistration method.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.esotericsoftware.kryo.Registration` | `register(java.lang.Class<?> type)`
    `com.esotericsoftware.kryo.Registration` | `register(java.lang.Class<?> type, int id)`
    `com.esotericsoftware.kryo.Registration` | `register(java.lang.Class<?> type, com.esotericsoftware.kryo.Serializer<?> serializer)`
    `com.esotericsoftware.kryo.Registration` | `register(com.esotericsoftware.kryo.Registration registration)`

- - ### Constructor Detail

    - #### CordaKryo

          public CordaKryo(com.esotericsoftware.kryo.ClassResolver classResolver)

      We need to disable whitelist checking during calls from our Kryo code to register a serializer, since it checks for existing registrations and then will enter our CordaClassResolver.getRegistration method.

  - ### Method Detail

    - #### register

          public com.esotericsoftware.kryo.Registration register(java.lang.Class<?> type)

    - #### register

          public com.esotericsoftware.kryo.Registration register(java.lang.Class<?> type,
                                                                 int id)

    - #### register

          public com.esotericsoftware.kryo.Registration register(java.lang.Class<?> type,
                                                                 com.esotericsoftware.kryo.Serializer<?> serializer)

    - #### register

          public com.esotericsoftware.kryo.Registration register(com.esotericsoftware.kryo.Registration registration)